<template>
  <svg xmlns="http://www.w3.org/2000/svg"
    :width="width"
    :height="height"
    :viewBox="`0 0 ${viewBoxX} ${viewBoxY}`"
    :aria-labelledby="iconName"
    role="presentation"
  >
    <title :id="iconName" lang="en">{{ iconName }} icon</title>
      <slot />
  </svg>
</template>

<script>
export default {
  props: {
    iconName: {
      type: String,
      default: ''
    },
    width: {
      type: [Number, String]
    },
    height: {
      type: [Number, String]
    },
    iconColor: {
      type: String,
      default: 'currentColor'
    },
    viewBoxX: {
      type: String,
      default: '500'
    },
    viewBoxY: {
      type: String,
      default: '500'
    }
  }
}
</script>

<style lang="scss" scoped>
svg {
  display: inline-block;
  vertical-align: baseline;
  margin-bottom: -2px; /* yes, I'm that particular about formatting */
}
</style>
